> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nueborder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Companies

> Retrieves a list of all companies.



## OpenAPI

````yaml api-reference/openapi.json get /v1/companies
openapi: 3.0.0
info:
  description: Validate, store, and query compliance carbon data.
  title: NueBorder API
  termsOfService: https://nueborder.com/terms/
  contact:
    name: Jack Dunlap
    url: https://nueborder.com/support
    email: support@nueborder.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://nueborder.com/api/v1
security: []
externalDocs:
  description: OpenAPI
  url: https://nueborder.com/openapi/
paths:
  /v1/companies:
    get:
      tags:
        - Company
      summary: List Companies
      description: Retrieves a list of all companies.
      responses:
        '200':
          description: List of companies retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ListCustomerResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.ListCustomerResponse:
      type: object
      properties:
        count:
          description: Total number of customers returned
          type: integer
        customers:
          description: Slice of customer records
          type: array
          items:
            $ref: '#/components/schemas/models.Customer'
    models.InternalServerErrorResponse:
      description: A response indicating that an internal server error occurred.
      type: object
      properties:
        message:
          description: A detailed error message.
          type: string
          example: An internal server error occurred
        status:
          description: HTTP status code.
          type: integer
          example: 500
    models.Customer:
      type: object
      properties:
        email:
          description: Customer email address
          type: string
        id:
          description: Unique identifier for the customer
          type: string
        name:
          description: Customer name
          type: string
  securitySchemes:
    BearerAuth:
      description: 'Provide your Bearer token in the format: Bearer <your_api_key>'
      type: apiKey
      name: Authorization
      in: header

````